# $Revision: 1.31 $, $Date: 2001/05/07 12:59:57 $
# set large_files to 0 for pre 2.4.x kernels
%define large_files 1

Summary:	file(1) command
Summary(de):	Befehl file(1)
Summary(fr):	Commande file(1)
Summary(pl):	komenda file(1)
Summary(tr):	Dosya tipini belirleme arac
Name:		file
Version:	3.34
Release:	4C1
License:	Distributable
Group:		Applications/File
Group(de):	Applikationen/Datei
Group(pl):	Aplikacje/Pliki
Source0:	ftp://ftp.astron.com/pub/file/%{name}-%{version}.tar.gz
Source1:	zisofs.magic
Patch0:		%{name}-sparc.patch
Patch1:		%{name}-tfm.patch
Patch2:		%{name}-ia64.patch
Patch3:		%{name}-gtktalog.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	xdelta < 1.0.0
%if %{large_files}
Conflicts:	kernel < 2.4.0
%endif

%define		_datadir	%{_prefix}/share/misc

%description
This package is useful for finding out what type of file you are
looking at on your system. For example, if an fsck results in a file
being stored in lost+found, you can run file on it to find out if it's
safe to 'more' it or if it's a binary. It recognizes many file types,
including ELF binaries, system libraries, RPM packages, and many
different graphics formats.

%description -l de
Sie knnen dieses Paket verwenden, um zu bestimmen, welches Format
eine bestimmte Datei hat. Wird durch fsck eine Datei in lost+found
gespeichert, knnen Sie 'file' ausfhren, um herauszufinden, ob Sie
sie mit 'more' einsehen knnen, oder ob es sich um ein Binrprogramm
handelt Das Programm erkennt u.a. ELF-Binrprogramme,
System-Libraries, RPM-Pakete und viele Grafikformate.

%description -l fr
Ce paquetage sert  trouver le type du fichier que vous recherchez sur
votre systme. Par exemple, si un fsck fait qu'un fichier a t stock
dans lost+found, vous pouvez lancer file dessus pour savoir si on peut
faire un more, ou s'il s'agit d'un binaire. Il reconnat de nombreux
types de fichiers dont les binaires ELF, les bibliothques systmes,
les paquetages RPM et de nombreux formats graphiques diffrents.

%description -l pl
Pakiet ten jest przydatny jeeli chcesz rozpozna typ plikw w twoim
systemie. Na przykad jeeli fsck zdeponuje jakie pliki w katalogu
lost+found, moesz uruchomi file na zdeponowanym pliku i zobaczy
jaki to jest typ pliku, jest to metoda bezpieczniejsza ni 'more', ze
wzgldu na to, e to moe by plik binarny. File potrafi rozpozna
wiele typw plikw np. binarny ELF, biblioteki systemowe, pakiety RPM
oraz wiele rnych formatw graficznych i dwikowych.

%description -l tr
file, bir dosyay inceleyerek ne tr bir dosya olduu konusunda size
bir fikir verebilir. Bylece uzantsndan ve adndan ne olduunu
karamadnz bir dosyay hangi yazlm ile kullanabileceinize ya
da ne yapacanza karar verebilisiniz. file, temel dosya tiplerini,
ou grafik formatn, altrlabilir dosyalar, sistem
kitaplklarn vs. tanyabilir.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
# aclocal
# autoconf
# rm -f install-sh missing mkinstalldirs
# automake --copy --add-missing
%if %{large_files}
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64"
%endif

%configure
	
%{__make} CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

cat %{SOURCE1} >>$RPM_BUILD_ROOT%{_datadir}/magic

./file -m $RPM_BUILD_ROOT%{_datadir}/magic -c -C

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)

%attr(755,root,root) %{_bindir}/*
%{_datadir}/*
%{_mandir}/man[14]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} Patrick Baltz <patrick.baltz@sun.com> 3.34-4C1
- up to 3.34.  compile with large file support.

* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: file.spec,v $
Revision 1.31  2001/05/07 12:59:57  baggins
- release 4
- recognize files on compressed iso9660 filesystems

Revision 1.30  2001/04/01 15:17:20  qboosh
- changed GTKtalog magic - it broke identification of many types (e.g. jpeg)
- release 3

Revision 1.29  2001/03/15 18:24:54  wiget
typo

Revision 1.28  2001/03/15 18:20:48  wiget
make and install compiled magic file; release 2; stb

Revision 1.27  2001/03/13 08:28:39  wiget
3.34

Revision 1.26  2000/11/14 03:28:35  kloczek
- updated to 3.33.

Revision 1.25  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.24  2000/08/07 14:02:51  kloczek
- updated to 3.32.

Revision 1.23  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.22  2000/05/30 19:28:26  wiget
3.31 and IA-64 fixes

Revision 1.21  2000/05/18 20:18:39  kloczek
- spec adapterized.

Revision 1.20  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.19  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.18  1999/11/01 21:38:15  kloczek
- removed sparcv9 patch.

Revision 1.17  1999/11/01 21:24:29  kloczek
- updated to 3.28,
- removed file.gimp Source2 (integrated in current version),
- redefined %%{_datadir} to %%{_prefix}/share/misc instead using fhs patch,
- added tfm and parc patches which based on patches from rawhide,
- added using %%configure macro and DESTDIR style %install.

Revision 1.16  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May 31 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
- FHS 2.0 

* Mon Apr 19 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.26-5]
- new xdelta magic description,
- added patch for sparcv9,
- recompiles on new rpm.

* Thu Mar 11 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.26-4]
- removed man group from man pages.
